<?php
/**
* @package WP-Speech-Balloon
* @version 1.0
*/
/*
Plugin Name: WP-Speech-Balloon
Plugin URI: https://tips4life.me/wp-plugin/wp-speech-Balloon
Description: This is a plugin that makes it easy to use balloon conversation with Wordpress.
Version: 1.0.0
Author: RA’s
Author URI: https://tips4life.me/profile
License: GPLv2
*/

//wp_headにpluginのCSSを挿入
wp_enqueue_style('add_css', plugins_url('css/style.css', __FILE__));

//AMP
function call_back($buffer) {
	$wsb_css = file_get_contents(plugins_url().'/wp-speech-balloon/css/style-min.php');
	$buffer = str_replace('<style amp-custom>', '<style amp-custom>'.$wsb_css, $buffer);
	return $buffer;
}
function buf_start() { ob_start("call_back"); }
function buf_end() { ob_end_flush(); }
add_action('after_setup_theme', 'buf_start');
add_action('shutdown', 'buf_end');

//bal_L1
function sc_bal_L1(){
	return '<div class="bal-l"><div class="avaBox"><img src="';
}
add_shortcode('bal_L1','sc_bal_L1');

//bal_L2
function sc_bal_L2(){
	return '" width="60" height="60" alt="avatar"></div><div class="txtBox">';
}
add_shortcode('bal_L2','sc_bal_L2');

//bal_L3
function sc_bal_L3(){
	return '</div></div>';
}
add_shortcode('bal_L3','sc_bal_L3');

//bal_R1
function sc_bal_R1(){
	return '<div class="bal-r"><div class="txtBox">';
}
add_shortcode('bal_R1','sc_bal_R1');

//bal_R2
function sc_bal_R2(){
	return '</div><div class="avaBox"><img src="';
}
add_shortcode('bal_R2','sc_bal_R2');

//bal_R3
function sc_bal_R3(){
	return '" width="60" height="60" alt="avatar"></div></div>';
}
add_shortcode('bal_R3','sc_bal_R3');

// パターン2追記
//bal2_L1
function sc_bal2_L1(){
	return '<div class="bal-l2"><div class="avaBox"><img src="';
}
add_shortcode('bal2_L1','sc_bal2_L1');

//bal2_R1
function sc_bal2_R1(){
	return '<div class="bal-r2"><div class="txtBox">';
}
add_shortcode('bal2_R1','sc_bal2_R1');
